=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2008-09-14 21:16:59 +0000
+++ client/drizzleslap.cc	2008-09-23 00:09:32 +0000
@@ -84,6 +84,8 @@
 #include <ctype.h>
 #include <string>
 
+using namespace std;
+
 #ifdef HAVE_SMEM
 static char *shared_memory_base_name=0;
 #endif

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-09-22 23:53:43 +0000
+++ drizzled/global.h	2008-09-23 00:09:32 +0000
@@ -703,15 +703,6 @@
 #define RTLD_NOW 1
 #endif
 
-/*
- *  Include standard definitions of operator new and delete.
- */
-#ifdef __cplusplus
-#include <new>
-#include <string>
-#include <algorithm>
-using namespace std;
-#endif
 #define cmax(a, b)       ((a) > (b) ? (a) : (b))
 #define cmin(a, b)       ((a) < (b) ? (a) : (b))
 

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-09-22 23:53:43 +0000
+++ drizzled/log_event.cc	2008-09-23 00:09:32 +0000
@@ -25,6 +25,8 @@
 #include <mysys/my_dir.h>
 #include <drizzled/drizzled_error_messages.h>
 
+#include <algorithm>
+
 #endif /* !DRIZZLE_CLIENT */
 
 #include <mysys/base64.h>

=== modified file 'drizzled/sql_list.h'
--- drizzled/sql_list.h	2008-09-16 00:00:48 +0000
+++ drizzled/sql_list.h	2008-09-23 00:09:32 +0000
@@ -26,6 +26,7 @@
 #endif
 
 #include <utility>
+#include <algorithm>
 
 /** Struct to handle simple linked lists. */
 typedef struct st_sql_list {

=== modified file 'drizzled/sql_string.cc'
--- drizzled/sql_string.cc	2008-09-22 23:53:43 +0000
+++ drizzled/sql_string.cc	2008-09-23 00:09:32 +0000
@@ -19,6 +19,8 @@
 #include <mysys/my_sys.h>
 #include <mystrings/m_string.h>
 
+#include <algorithm>
+
 /*
   The following extern declarations are ok as these are interface functions
   required by the string function

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2008-09-04 18:16:51 +0000
+++ mystrings/m_string.h	2008-09-23 00:09:32 +0000
@@ -136,7 +136,7 @@
   (DBL_DIG + 2) significant digits + sign + "." + ("e-NNN" or
   MAX_DECPT_FOR_F_FORMAT zeros for cases when |x|<1 and the 'f' format is used).
 */
-#define MY_GCVT_MAX_FIELD_WIDTH (DBL_DIG + 4 + max(5, MAX_DECPT_FOR_F_FORMAT))
+#define MY_GCVT_MAX_FIELD_WIDTH (DBL_DIG + 4 + cmax(5, MAX_DECPT_FOR_F_FORMAT))
   
 
 extern char *llstr(int64_t value,char *buff);

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-08-18 20:57:01 +0000
+++ storage/csv/ha_tina.cc	2008-09-23 00:09:32 +0000
@@ -1116,8 +1116,8 @@
   if (closest_hole == chain_ptr) /* no more chains */
     *end_pos= file_buff->end();
   else
-    *end_pos= min(file_buff->end(),
-                  closest_hole->begin);
+    *end_pos= std::min(file_buff->end(),
+                       closest_hole->begin);
   return (closest_hole != chain_ptr) && (*end_pos == closest_hole->begin);
 }
 
@@ -1349,7 +1349,7 @@
   /* write repaired file */
   while (1)
   {
-    write_end= min(file_buff->end(), current_position);
+    write_end= std::min(file_buff->end(), current_position);
     if ((write_end - write_begin) &&
         (my_write(repair_file, (uchar*)file_buff->ptr(),
                   write_end - write_begin, MYF_RW)))

